ApiAsset
Update asset
Update an existing asset (Location, Production-Line, Process-Cell, Machine, Component)
Access restricted to roles:
- admin
- manufacturer-admin
- manufacturer-user
- producer-admin
Authorization
bearer AuthorizationBearer <token>
In: header
Path Parameters
assetId*string
The unique identifier of the asset
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/assets/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "assetType": "location" }'{ "data": { "assetType": "location", "id": "0c1b9613-7d6f-40b7-bf29-3179ac401fc9", "name": "Sample Asset", "organizationId": "0c1b9613-7d6f-40b7-bf29-3179ac401fc9", "description": "This is a sample asset for demonstration purposes", "createdAt": "2025-07-22T14:48:00.000Z", "updatedAt": "2025-07-22T15:10:00.000Z", "createdBy": "0c1b9613-7d6f-40b7-bf29-3179ac401fc9", "updatedBy": "0c1b9613-7d6f-40b7-bf29-3179ac401fc9", "active": true, "draft": false, "custom": false, "parentId": "0c1b9613-7d6f-40b7-bf29-3179ac401fc9", "position": 1, "customAttributes": [ { "key": "color", "value": "blue" } ], "address": { "city": "Somecity", "country": "Somecountry", "address1": "Somestreet 101", "address2": "Some additional info", "postalcode": "01234", "state": "SomeState" } }}